Ask Your Question
1

Since upgrade to FC25, I get: libGL error: failed to load driver: swrast

asked 2017-04-16 23:38:47 -0500

nyceyes gravatar image

Hello Friends:

Ever since I upgraded to Fedora-25, I get the below exception when trying to install X-Plane 11. The same issue occurred with X-Plane 10, which was installed and working in Fedora-24, but experienced the same issue (at launch time) after the upgrading to Fedora-25. I have deleted X-Plane 10, but the way.

I use the drivers from NVIDIA (as I have for many years now); not the nouveau drivers provided by Fedora (which I have blacklisted in /etc/grub2.cfg).

I tried everything I can think of. See below. Any ideas?

Here is the issue:

user@g750asus$ ./'X-Plane 11 Installer Linux'
libGL error: No matching fbConfigs or visuals found
libGL error: failed to load driver: swrast
X Error of failed request:  BadValue (integer parameter out of range for operation)
  Major opcode of failed request:  153 (GLX)
  Minor opcode of failed request:  3 (X_GLXCreateContext)
  Value in failed request:  0x0
  Serial number of failed request:  33
  Current serial number in output stream:  38

And here is some helpful information about my system:

user@g750asus$ locate swrast
/usr/lib64/dri/kms_swrast_dri.so
/usr/lib64/dri/swrast_dri.so
/usr/lib64/gallium-pipe/pipe_swrast.so

user@g750asus$ uname -a
Linux g750asus 4.10.6-200.fc25.x86_64 #1 SMP Mon Mar 27 14:06:23 UTC 2017 x86_64 x86_64 x86_64 GNU/Linux

user@g750asus$ cat /etc/redhat-release
Fedora release 25 (Twenty Five)

user@g750asus$ rpm -qa | egrep 'nvidia|xorg' | sort
akmod-nvidia-378.13-2.fc25.x86_64
kmod-nvidia-4.10.6-200.fc25.x86_64-378.13-2.fc25.x86_64
kmod-nvidia-4.9.13-201.fc25.x86_64-378.13-2.fc25.x86_64
nvidia-driver-378.13-5.fc25.x86_64
nvidia-driver-cuda-libs-378.13-5.fc25.x86_64
nvidia-driver-libs-378.13-5.fc25.x86_64
nvidia-libXNVCtrl-378.13-1.fc25.x86_64
nvidia-settings-378.13-1.fc25.x86_64
xorg-x11-apps-7.7-15.fc24.x86_64
xorg-x11-drv-ati-7.7.1-1.20160928git3fc839ff.fc25.x86_64
xorg-x11-drv-evdev-2.10.5-1.fc25.x86_64
xorg-x11-drv-fbdev-0.4.3-25.fc25.x86_64
xorg-x11-drv-intel-2.99.917-26.20160929.fc25.x86_64
xorg-x11-drv-libinput-0.23.0-3.fc25.x86_64
xorg-x11-drv-openchrome-0.5.0-2.fc25.x86_64
xorg-x11-drv-qxl-0.1.5-2.fc25.x86_64
xorg-x11-drv-synaptics-1.9.0-1.fc25.x86_64
xorg-x11-drv-vesa-2.3.2-25.fc25.x86_64
xorg-x11-drv-vmware-13.2.1-1.fc25.x86_64
xorg-x11-drv-wacom-0.34.2-1.fc25.x86_64
xorg-x11-fonts-100dpi-7.5-16.fc24.noarch
xorg-x11-fonts-75dpi-7.5-16.fc24.noarch
xorg-x11-fonts-ISO8859-1-100dpi-7.5-16.fc24.noarch
xorg-x11-fonts-ISO8859-1-75dpi-7.5-16.fc24.noarch
xorg-x11-fonts-misc-7.5-16.fc24.noarch
xorg-x11-fonts-Type1-7.5-16.fc24.noarch
xorg-x11-font-utils-7.5-32.fc25.x86_64
xorg-x11-proto-devel-7.7-20.fc25.noarch
xorg-x11-resutils-7.5-13.fc24.x86_64
xorg-x11-server-common-1.19.3-1.fc25.x86_64
xorg-x11-server-utils-7.7-20.fc25.x86_64
xorg-x11-server-Xephyr-1.19.3-1.fc25.x86_64
xorg-x11-server-Xorg-1.19.3-1.fc25.x86_64
xorg-x11-server-Xvfb-1.19.3-1.fc25.x86_64
xorg-x11-server-Xwayland-1.19.3-1.fc25.x86_64
xorg-x11-utils-7.5-21.fc24.x86_64
xorg-x11-xauth-1.0.9-5.fc24.x86_64
xorg-x11-xbitmaps-1.1.1-9.fc24.noarch
xorg-x11-xinit-1.3.4-13.fc25.x86_64
xorg-x11-xkb-utils-7.7-17.fc24.x86_64
edit retag flag offensive close merge delete

1 Answer

Sort by ยป oldest newest most voted
1

answered 2017-04-18 10:25:45 -0500

genodeftest gravatar image

Are you running a wayland session? See this wiki page for how to figure that out. If yes, then try using the X11 session instead. If that fixes your problem, the application needs to be ported to wayland and you probably should report a bug at their upstream.

edit flag offensive delete link more

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Question Tools

Stats

Asked: 2017-04-16 23:38:47 -0500

Seen: 497 times

Last updated: Apr 18 '17